Subject: Re: bug#14645: Keep highlighting face foreground

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 13 Aug 2020 13:32:29 +0200

Juri Linkov <[email-masked]> writes:

> Another place where `add-face-text-property' could help is for the
> recently added face `info-index-match'.  Currently it looks very ugly
> when the `info-index-match' face is added in the middle of a link
> that breaks its continuity.  A test case is: `C-h r I match RET'.
>
> This is because `Info-index' adds the `info-index-match' face to the
> strings of the found index entries.  Later `Info-virtual-index-find-node'
> inserts strings to the Info buffer.  And finally `Info-fontify-node'
> puts the `font-lock-face' property with `info-xref' on links.
> The `face info-index-match' takes precedence over `font-lock-face info-xref'.

This hadn't been fixed, so I applied your patch to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no